Attribute VB_Name = "String"
Option Explicit

Public Function minutesToNormalizedTime(cMinutes As Integer) As String
        Dim hours As Integer, minutes As Integer
        Dim normalizedTime As String
        
        hours = Int(cMinutes / 60) ' circumvent vb's rounding issue
        minutes = cMinutes Mod 60
        
        If (hours) Then
                normalizedTime = hours & " hour"
                If (hours > 1) Then
                        normalizedTime = normalizedTime & "s "
                Else
                        normalizedTime = normalizedTime & " "
                End If
        End If
        
        If (minutes) Then
                normalizedTime = normalizedTime & minutes & " minute"
                If (minutes > 1) Then normalizedTime = normalizedTime & "s "
        End If
        
        minutesToNormalizedTime = normalizedTime
End Function
